<html lang="en">
<head>
<title>Using a Split Document - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Managing-the-DTD.html#Managing-the-DTD" title="Managing the DTD">
<link rel="prev" href="Precompiled-DTD-Subsets.html#Precompiled-DTD-Subsets" title="Precompiled DTD Subsets">
<link rel="next" href="Inserting-a-DOCTYPE.html#Inserting-a-DOCTYPE" title="Inserting a DOCTYPE">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Using-a-Split-Document"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Inserting-a-DOCTYPE.html#Inserting-a-DOCTYPE">Inserting a DOCTYPE</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Precompiled-DTD-Subsets.html#Precompiled-DTD-Subsets">Precompiled DTD Subsets</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Managing-the-DTD.html#Managing-the-DTD">Managing the DTD</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">7.2 Using a Split Document</h3>

<!-- *** why not defopt?? -->
<p><a name="index-sgml_002ddoctype-45"></a>You can have the `<samp><span class="samp">DOCTYPE</span></samp>' declaration in another file by setting
<code>sgml-doctype</code> to the other file.

<div class="defun">
&mdash; User Option: <b>sgml-parent-document</b><var><a name="index-sgml_002dparent_002ddocument-46"></a></var><br>
<blockquote><p>Used when the current file is part of a bigger document.

        <p>The variable describes how the current file's content fit into the element
hierarchy.  The variable should have the form

     <pre class="lisp">          (<var>parent-file</var> <var>context-element</var>* <var>top-element</var> (<var>has-seen-element</var>*)?)
     </pre>
          <dl>
<dt><var>parent-file</var><dd>is a string, the name of the file containing the
document entity.

          <br><dt><var>context-element</var><dd>is a string, that is the name of an element type. 
It can occur 0 or more times and is used to set up
exceptions and short reference map.  Good candidates
for these elements are the elements open when the
entity pointing to the current file is used.

          <br><dt><var>top-element</var><dd>is a string that is the name of the element type
of the top level element in the current file.  The file
should contain one instance of this element, unless
the last (lisp) element of sgml-parent-document is a
list.  If it is a list, the top level of the file
should follow the content model of top-element.

          <br><dt><var>has-seen-element</var><dd>is a string that is the name of an element type.  This
element is satisfied in the content model of top-element. 
</dl>
        </p></blockquote></div>

<!--  -->
</body></html>

